
Redmine - Defect #8376

Moving issue to different project silently clears parent

2011-05-15 03:31 - Ewan Makepeace

Status: New Start date: 2011-05-15

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

We already know that the new subtasks feature only applies to issues in the same project. Even issues in subprojects of the current

project are excluded, which seems to make little sense.

However today I discovered a corollary - if you take a subtask and 'Move' it to a subproject it has its parent field silently cleared. I

understand that I have to choose between having it in the subtasks list OR having it in a different project, but I do not agree that this

information should be silently cleared as many users will be unaware of this restriction.

Related issues:

Related to Redmine - Feature #5487: Allow subtasks to cross projects Closed 2010-05-09

Related to Redmine - Defect #6056: Bulk copying of issues does not preserve r... Closed 2010-08-06

History

#1 - 2011-09-13 15:58 - Etienne Massip

- Category set to Issues

#2 - 2016-01-17 03:35 - Go MAEDA

- Subject changed from Moving issue to different project clears parent to Moving issue to different project silently clears parent

This issue still remains in 3.2 if "Allow cross-project subtasks" is disabled.
